Boost.Geometry.Index

- Main Page
- Modules
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

All Classes Functions Typedefs
Public Types | Public Member Functions
boost::geometry::index::detail::indexable< std::tuple< Indexable, Args...>, false > Struct Template Reference

The function object extracting Indexable from Value. More...

`#include <indexable.hpp>`

List of all members.

## Public Types

typedef Indexable const & | result_type
| The type of result returned by function object.

## Public Member Functions

result_type | operator() (value_type const &v) const
| Return indexable extracted from the value.

## Detailed Description

### template<typename Indexable, typename... Args>
struct boost::geometry::index::detail::indexable< std::tuple< Indexable, Args...>, false >

The function object extracting Indexable from Value.

This specialization translates from std::tuple<Indexable, Args...>. It's defined if the compiler supports tuples and variadic templates.

Template Parameters:

  Indexable | The Indexable type.

## Member Function Documentation

template<typename Indexable , typename... Args>

result_type boost::geometry::index::detail::indexable< std::tuple< Indexable, Args...>, false >::operator() | ( | value_type const & | v | ) | const`[inline]`

Return indexable extracted from the value.

Parameters:

  v | The value.

Returns:
  The indexable.

The documentation for this struct was generated from the following file:

- /home/travis/build/boostorg/boost/boost/geometry/index/indexable.hpp

All Classes Functions Typedefs